#include <stdio.h>
#include <stdlib.h>

#define X 100
#define Y 100

void output_(double f[Y][X],double ux[Y][X],double uy[Y][X],double *dx,double *dy,int *step,int *nx,int *ny){
  
  int i,j,k;
  FILE *fp3,*fp4,*fp7;
  char ctmp[40];
  double max,min;
  int nz;
  double tmp;


  //  sprintf(ctmp, "data/data1",*step);
  sprintf(ctmp, "data/data.%07i",*step);
  fp3=fopen(ctmp,"w");
  for(i=0;i<(*nx);i++){
    fprintf(fp3," \n");
    for(j=0;j<(*ny);j++){
      fprintf(fp3,"%f %f %f \n",(i-1)*(*dx),(j-1)*(*dy),f[j][i]);
    }
  }
  fclose(fp3);


  fp4=fopen("cont.gp","a");
  fprintf(fp4,"set cntrparam  cubicspline \n");
  fprintf(fp4,"set size 0.75,1 \n");
  fprintf(fp4,"set xlabel '' \n");
  fprintf(fp4,"set ylabel '' \n");
  fprintf(fp4,"set nolabel \n");
  fprintf(fp4,"set para \n");
  fprintf(fp4,"set cont \n");
  fprintf(fp4,"set nosurf \n");
  fprintf(fp4,"set noxtics \n");
  fprintf(fp4,"set noytics \n");
  fprintf(fp4,"set view 0,0,1.45 \n");
  fprintf(fp4,"set cntrparam levels discrete 0.5 \n");
  //  fprintf(fp4,"set cntrparam levels discrete 0.05,0.5,0.95 \n");
  fprintf(fp4,"set nokey \n");
  fprintf(fp4,"sp 'data/data.%07i' u 1:2:3 w l,'ex' u 1:2:3 w l",*step);
  fprintf(fp4," \n");
  fclose(fp4);


  fp7=fopen("contpbm.gp","a");
  fprintf(fp7,"set term pbm \n");
  fprintf(fp7,"set output '%05i.pbm' \n",*step);
  fprintf(fp7,"set cntrparam cubicspline \n");
  fprintf(fp7,"set size 0.75,1 \n");
  fprintf(fp7,"set xlabel '' \n");
  fprintf(fp7,"set ylabel '' \n");
  fprintf(fp7,"set nolabel \n");
  fprintf(fp7,"set para \n");
  fprintf(fp7,"set cont \n");
  fprintf(fp7,"set nosurf \n");
  fprintf(fp7,"set noxtics \n");
  fprintf(fp7,"set noytics \n");
  fprintf(fp7,"set view 0,0,1.45 \n");
  fprintf(fp7,"set cntrparam levels discrete 0.05,0.5,0.95 \n");
  fprintf(fp7,"set nokey \n");
  fprintf(fp7,"sp 'data/data.%07i' u 1:2:3 w l,'ex' u 1:2:3 w l",*step);
  fprintf(fp7," \n");
  fclose(fp7);

}
