      subroutine init(f,ux,uy,t,dt,dx,dy)
      include 'param.h'
      real*8 f(NX,NY)
      real*8 ux(NX,NY),uy(NX,NY)
      real*8 t,dt,dx,dy

      integer i,j,is,ii
      real*8 tmp
c      real*8 ftmp(NX*100,NY*100)

      t  = 0.0d0
c      dt = 0.02d0
      dt = 2.0d0*PI/628.0d0 ! for Zalesak
      dx = 1.0d0/100.0d0
      dy = 1.0d0/100.0d0
      ii=10

      do j=1,NY
      do i=1,NX
         f(i,j)  = 0.0d0
         ux(i,j) = (float(j)*dy-0.51d0)
         uy(i,j) = -(float(i)*dx-0.51d0)
      end do
      end do

      do j=1,NY*ii
      do i=1,NX*ii
         tmp=(float(i)*dx/float(ii)-0.51d0)**2
     1        +(float(j)*dy/float(ii)-0.76d0)**2
         if((sqrt(tmp).lt.0.17d0)
     1        .and.((abs(float(i)*dx/float(ii)-0.51d0).gt.0.03d0)
     2        .or.(float(j)*dx/float(ii).ge.0.85d0))) then  
            f(i/ii+1,j/ii+1)=f(i/ii+1,j/ii+1)+1.0d0/float(ii*ii)
         end if
      end do
      end do

         

      return
      end

