      subroutine normal2d(f,nx1,ny1,dx,dy)
      include 'param.h'
      real*8 f(NX,NY),nx1(NX,NY),ny1(NX,NY)
      real*8 dx,dy

      integer i,j,is
      real*8 nx2(NX,NY),ny2(NX,NY)


      do j=2,NY-1
      do i=2,NX-1
         nx2(i,j)=0.5d0/dx*(f(i,j)-f(i-1,j)+f(i,j-1)-f(i-1,j-1))
         ny2(i,j)=0.5d0/dy*(f(i,j)-f(i,j-1)+f(i-1,j)-f(i-1,j-1))
      end do
      end do
         
      call bound1(nx2)
      call bound1(ny2)

      do j=2,NY-1
      do i=2,NX-1
         nx1(i,j)=0.25d0*(nx2(i,j)+nx2(i+1,j)+nx2(i,j+1)+nx2(i+1,j+1))
         ny1(i,j)=0.25d0*(ny2(i,j)+ny2(i+1,j)+ny2(i,j+1)+ny2(i+1,j+1))
      end do
      end do

      call bound1(nx1)
      call bound1(ny1)


      return
      end

